Cyberduck Mountain Duck CLI

#7865 closed defect (fixed)

Two factor authentication

Reported by: DerScheff Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: sftp Version: 4.4.3
Severity: normal Keywords: Two factor auth, Google Authentificator
Cc: Architecture:
Platform: Mac OS X 10.9

Description (last modified by dkocher)

Hallo,

ich nutze wie in dem Ticket #6820 auch beschrieben ein two factor auth System. Beim Versuch mich über SSH einzuloggen wird die Abfrage nach meinem 6-stelligen Zahlencode mit der Wiederholung Fensters von Username und Passwort angezeigt. Leider ist mir die Beantwortung des Tickets irgendwie unklar. Es wurde auf solved gesetzt, aber ich sehe die Lösung nicht.

Ich würde das Programm gerne vollumfänglich nutzen - und natürlich auch spenden ;) - aber ich benötige die Möglichkeit nach Username und Passwort auch meinen Google Authentificator Code eingeben zu können.

Über Hilfe / Tricks / Ideen wäre ich wirklich sehr dankbar!

Attachments (1)

Bildschirmfoto 2014-03-26 um 21.55.21.png (44.3 KB) - added by DerScheff on Mar 26, 2014 at 8:56:06 PM.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Mar 25, 2014 at 8:59:41 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)
  • Milestone set to 4.4.4
  • Owner set to dkocher
  • Summary changed from Two factor auth to Two factor authentication

comment:2 Changed on Mar 25, 2014 at 9:01:05 PM by dkocher

  • Status changed from new to assigned

comment:3 Changed on Mar 26, 2014 at 10:14:03 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Duplicate for #7573 fixed in r7573. Please update to the latest snapshot build available and reopen this ticket if there are remaining issues with two factor authentication.

comment:4 Changed on Mar 26, 2014 at 8:58:13 PM by DerScheff

  • Resolution fixed deleted
  • Status changed from closed to reopened

Besten Dank erst einmal für die rasche Bearbeitung - leider muss ich nun nochmals aufmachen.

Update auf Version 4.4.4 (14433) durchgeführt.

Nach Eingabe von Username / Passwort kommt die Aufforderung "Zusätzliche Login Eingabe erfoderlich" - leider aber kein Feld worin man diese eingeben könnte (siehe Screenshot)

comment:5 Changed on Mar 26, 2014 at 9:57:54 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

You enter the one time password in the Password field. Additional fix in r14437 to provide empty placeholder in input field.

Note: See TracTickets for help on using tickets.
swiss made software